@font-face {
  font-family: "pixelfont";
  src: url("../res/fonts/font_start.ttf") format("truetype");
}

body {
  background: #333;
  color: #eee;
}

#probe-wrapper {
  display: flex;
  flex-wrap: wrap;
}

.probe {
  background: #eee;
  border-radius: 4px;
  margin: 4px;
  padding: 8px;
  width: 180px;
}

.console {
  background: #000;
  bottom: 38px;
  border: 1px solid #050;
  color: #0f0;
  float: right;
  font-family: monospace;
  height: 400px;
  right: 12px;
  padding: 0;
  position: fixed;
  overflow-x: hidden;
  overflow-y: scroll;
  opacity: .8;
  width: 20%;
  z-index: 5;
}

@media (max-width: 1200px) {
  .console {
    width: 35%;
  }
}

.map {
  background: #333;
  border: 4px inset darkgrey;
  flex-grow: 0;
  overflow: hidden;
}

.map canvas {
  margin: 0 auto;
  width: 100%;
}

.console::-webkit-scrollbar {
  background: #000;
}
.console::-webkit-scrollbar-thumb {
  background: #0f0;
}

.console ul {
  list-style: none;
  margin: 0;
  padding: 4px;
}

.console li:before {
  color: #0f0;
  content: '> ';
}

.console li img {
  width: 240px;
  transform: translateX(-30%)
}

.console-input-wrapper {
  background: #000;
  position: fixed;
  bottom: 10px;
  color: #0f0;
  font-family: monospace;
  width: 40%;
  z-index: 6;
}

.console-input-wrapper input {
  background: #000;
  border: none;
  border-top: 1px solid #050;
  color: #fff;
  margin: 0;
  padding: 4px;
  text-transform: uppercase;
  width: 80%;
}

input {
  text-transform: uppercase;
}

.btn-console {
  background: #000;
  border: 1px solid #050;
  color: #0f0;
  float: right;
  margin: 0;
  padding: 4px;
  width: 20%;
}

.message-box {
  background: black;
  bottom: 72px;
  border-top: 2px solid green;
  border-right: 2px solid green;
  left: 2px;
  position: relative;
  height: 64px;
  min-width: 256px;
  max-width: 800px;
}

.message-box img {
  height: 64px;
}

.message-box .text-wrapper {
  color: #0a0;
  font-family: 'pixelfont', monospace;
  font-size: 12px;
  line-height: 22px;
  position: relative;
  left: 74px;
  top: -60px;
  text-transform: uppercase;
}
.message-box .chat {
  color: #0f0;
  font-size: 14px;
}